changeset 722:18056eea9d44

Merge
author ewendeli
date Sun, 03 Feb 2013 22:33:29 +0100
parents e716c92a031d 0aa3727598fd
children 87f5de90fa2e
files .hgtags
diffstat 6 files changed, 300 insertions(+), 32 deletions(-) [+]
line wrap: on
line diff
--- a/.hgtags	Fri Feb 01 10:25:14 2013 -0800
+++ b/.hgtags	Sun Feb 03 22:33:29 2013 +0100
@@ -199,6 +199,7 @@
 d1c709f1196a73d1df10d04a221b10e30fd2eb48 jdk7u6-b23
 e4def733cc8c58e83b7cefa7edd89a3e2b793520 jdk7u6-b24
 f5f546dba006778854e7a81141fc1b44acd257a4 jdk7u6-b30
+43775eae8df6c874fb3631c86009505cf3821b1f jdk7u6-b31
 43775eae8df6c874fb3631c86009505cf3821b1f jdk7u7-b10
 a380c75873bfb578e605d4362edb18c08698cc3e jdk7u7-b30
 d7f2b3949f9c9ff1115ea61c496d3cd4c62e2759 jdk7u7-b11
@@ -232,3 +233,22 @@
 e7c55def6796d3c426631b5717084ef122908847 jdk7u11-b08
 2412f7b8551ede5296cb6e1d6189f40aad9eeffe jdk7u13-b09
 3b7815df113f8044039739276237b964ee8fa015 jdk7u13-b20
+1ab3edf5061fdde3a6f6510373a92444445af710 jdk7u8-b01
+d7a94c8cbbbfadbd9e2f3e4737eb7deb572dedc9 jdk7u8-b02
+e7c504c99ab60e3b21cdc9460afaa3926d53cff1 jdk7u8-b03
+996e3145029120fd6ef2cacb3d03cb1f20862247 jdk7u8-b04
+891689cc39ff9d67bc4fe43bcb91ecdabda1f9f8 jdk7u8-b05
+f16343fe14acb4118f0a3f78fd735a4a6133c76a jdk7u10-b06
+1fa71ffbbd596086dbade86505d2d7e1c436de76 jdk7u10-b07
+e7014c55a9e55c10fe4f91ca092eb01029c36c75 jdk7u10-b08
+aaf495a24a9bb996b3955e52edff8d93ff62dc5f jdk7u10-b09
+3eddc50eb3574bf4cff4081310fd763e958ed073 jdk7u12-b01
+207c000ac697d052f84cde6e782865b209e60239 jdk7u12-b02
+a3917db5d568d9805b3c46ce67c39c475cf10e0e jdk7u12-b03
+52945b197d7c93d215067034a45e5e9452c67f78 jdk7u12-b04
+eae53fe51e79e04ca28b5790a6ae25d39a06b0ab jdk7u12-b05
+a008905ce525b88e5bdc80fe6ad7570f6f6a19ac jdk7u12-b06
+c3e42860af1cfd997fe1895594f652f0d1e9984e jdk7u12-b07
+1a03ef4794dc8face4de605ae480d4c763e6b494 jdk7u12-b08
+87cf81226f2012e5c21131adac7880f7e4da1133 jdk7u12-b09
+745a15bb6d94765bb5c68048ff146590df9b8441 jdk7u14-b10
--- a/get_source.sh	Fri Feb 01 10:25:14 2013 -0800
+++ b/get_source.sh	Sun Feb 03 22:33:29 2013 +0100
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 #
-# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2010, 2012, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -26,7 +26,7 @@
 #
 
 # Get clones of all nested repositories
-sh ./make/scripts/hgforest.sh clone
+sh ./make/scripts/hgforest.sh clone $*
 
 # Update all existing repositories to the latest sources
 sh ./make/scripts/hgforest.sh pull -u
--- a/make/jprt.properties	Fri Feb 01 10:25:14 2013 -0800
+++ b/make/jprt.properties	Sun Feb 03 22:33:29 2013 +0100
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2006, 2012, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -79,20 +79,17 @@
     ${jprt.my.test.target.set:TESTNAME=jdk_util},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_io},			\
     ${jprt.my.test.target.set:TESTNAME=jdk_net},		\
-    ${jprt.my.test.target.set:TESTNAME=jdk_nio1},		\
-    ${jprt.my.test.target.set:TESTNAME=jdk_nio2},		\
-    ${jprt.my.test.target.set:TESTNAME=jdk_nio3},		\
+    ${jprt.my.test.target.set:TESTNAME=jdk_nio},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_security1},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_security2},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_security3},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_rmi},		\
-    ${jprt.my.test.target.set:TESTNAME=jdk_management1},	\
-    ${jprt.my.test.target.set:TESTNAME=jdk_management2},	\
+    ${jprt.my.test.target.set:TESTNAME=jdk_management},	\
+    ${jprt.my.test.target.set:TESTNAME=jdk_jmx},	\
     ${jprt.my.test.target.set:TESTNAME=jdk_text},		\
-    ${jprt.my.test.target.set:TESTNAME=jdk_tools1},		\
-    ${jprt.my.test.target.set:TESTNAME=jdk_tools2},		\
+    ${jprt.my.test.target.set:TESTNAME=jdk_tools},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_jfr},		\
-    ${jprt.my.test.target.set:TESTNAME=jdk_misc}
+    ${jprt.my.test.target.set:TESTNAME=jdk_other}
 
 # All vm test targets (testset=all)
 jprt.vm.all.test.targets=    					\
@@ -107,6 +104,7 @@
     ${jprt.my.test.target.set:TESTNAME=jdk_beans1}		\
     ${jprt.my.test.target.set:TESTNAME=jdk_beans2},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_beans3},		\
+    ${jprt.my.test.target.set:TESTNAME=jdk_jdi},		\
     ${jprt.my.test.target.set:TESTNAME=jdk_sound},              \
     ${jprt.my.test.target.set:TESTNAME=jdk_swing}
 
--- a/make/scripts/hgforest.sh	Fri Feb 01 10:25:14 2013 -0800
+++ b/make/scripts/hgforest.sh	Sun Feb 03 22:33:29 2013 +0100
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 #
-# Copyright (c) 2009, 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -24,6 +24,8 @@
 #
 
 # Shell script for a fast parallel forest command
+command="$1"
+pull_extra_base="$2"
 
 tmp=/tmp/forest.$$
 rm -f -r ${tmp}
@@ -35,40 +37,58 @@
 
 # Only look in specific locations for possible forests (avoids long searches)
 pull_default=""
-if [ "$1" = "clone" -o "$1" = "fclone" ] ; then
+repos=""
+repos_extra=""
+if [ "${command}" = "clone" -o "${command}" = "fclone" ] ; then
   subrepos="corba jaxp jaxws langtools jdk hotspot"
   if [ -f .hg/hgrc ] ; then
     pull_default=`hg paths default`
+    if [ "${pull_default}" = "" ] ; then
+      echo "ERROR: Need initial clone with 'hg paths default' defined"
+      exit 1
+    fi
   fi
   if [ "${pull_default}" = "" ] ; then
-    echo "ERROR: Need initial clone with 'hg paths default' defined"
+    echo "ERROR: Need initial repository to use this script"
     exit 1
   fi
-  repos=""
   for i in ${subrepos} ; do
     if [ ! -f ${i}/.hg/hgrc ] ; then
       repos="${repos} ${i}"
     fi
   done
+  if [ "${pull_extra_base}" != "" ] ; then
+    subrepos_extra="jdk/src/closed jdk/make/closed jdk/test/closed hotspot/make/closed hotspot/src/closed hotspot/test/closed deploy install sponsors pubs"
+    pull_default_tail=`echo ${pull_default} | sed -e 's@^.*://[^/]*/\(.*\)@\1@'`
+    pull_extra="${pull_extra_base}/${pull_default_tail}"
+    for i in ${subrepos_extra} ; do
+      if [ ! -f ${i}/.hg/hgrc ] ; then
+        repos_extra="${repos_extra} ${i}"
+      fi
+    done
+  fi
   at_a_time=2
+  # Any repos to deal with?
+  if [ "${repos}" = "" -a "${repos_extra}" = "" ] ; then
+    echo "No repositories to clone."
+    exit
+  fi
 else
   hgdirs=`ls -d ./.hg ./*/.hg ./*/*/.hg ./*/*/*/.hg ./*/*/*/*/.hg 2>/dev/null`
   # Derive repository names from the .hg directory locations
-  repos=""
   for i in ${hgdirs} ; do
     repos="${repos} `echo ${i} | sed -e 's@/.hg$@@'`"
   done
   at_a_time=8
+  # Any repos to deal with?
+  if [ "${repos}" = "" ] ; then
+    echo "No repositories to process."
+    exit
+  fi
 fi
 
-# Any repos to deal with?
-if [ "${repos}" = "" ] ; then
-  echo "No repositories to process."
-  exit
-fi
-
-# Echo out what repositories we will process
-echo "# Repos: ${repos}"
+# Echo out what repositories we will clone
+echo "# Repos: ${repos} ${repos_extra}"
 
 # Run the supplied command on all repos in parallel, save output until end
 n=0
@@ -77,8 +97,9 @@
   n=`expr ${n} '+' 1`
   (
     (
-      if [ "$1" = "clone" -o "$1" = "fclone" ] ; then
-        cline="hg $* ${pull_default}/${i} ${i}"
+      if [ "${command}" = "clone" -o "${command}" = "fclone" ] ; then
+        pull_newrepo="`echo ${pull_default}/${i} | sed -e 's@\([^:]/\)//*@\1@g'`"
+        cline="hg clone ${pull_newrepo} ${i}"
         echo "# ${cline}"
         ( eval "${cline}" )
       else
@@ -92,10 +113,29 @@
     sleep 5
   fi
 done
-
 # Wait for all hg commands to complete
 wait
 
+if [ "${repos_extra}" != "" ] ; then
+  for i in ${repos_extra} ; do
+    echo "Starting on ${i}"
+    n=`expr ${n} '+' 1`
+    (
+      (
+          pull_newextrarepo="`echo ${pull_extra}/${i} | sed -e 's@\([^:]/\)//*@\1@g'`"
+          cline="hg clone ${pull_newextrarepo} ${i}"
+          echo "# ${cline}"
+          ( eval "${cline}" )
+        echo "# exit code $?"
+      ) > ${tmp}/repo.${n} 2>&1 ; cat ${tmp}/repo.${n} ) &
+    if [ `expr ${n} '%' ${at_a_time}` -eq 0 ] ; then
+      sleep 5
+    fi
+  done
+  # Wait for all hg commands to complete
+  wait
+fi
+
 # Cleanup
 rm -f -r ${tmp}
 
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/make/scripts/normalizer.pl	Sun Feb 03 22:33:29 2013 +0100
@@ -0,0 +1,208 @@
+#!/usr/bin/perl
+
+#
+# Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
+#
+# This code is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 2 only, as
+# published by the Free Software Foundation.
+#
+# This code is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# version 2 for more details (a copy is included in the LICENSE file that
+# accompanied this code).
+#
+# You should have received a copy of the GNU General Public License version
+# 2 along with this work; if not, write to the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
+# or visit www.oracle.com if you need additional information or have any
+# questions.
+#
+
+#
+# Parses java files:
+#   1. Removes from the end of lines spaces and TABs
+#   2. Replaces TABs by spaces
+#   3. Replaces all NewLine separators by Unix NewLine separators
+#   4. Makes one and only one empty line at the end of each file
+
+if ($#ARGV < 0) {
+    &usage;
+    
+    die;
+}
+
+use Cwd 'abs_path';
+
+my @extensions = ("java");
+
+# Read options
+my $dirpos = 0;
+
+while ($dirpos < $#ARGV) {
+    if ($ARGV[$dirpos] eq "-e") {
+        @extensions = split(/,/, $ARGV[$dirpos + 1]);
+    } else {
+        last;
+    }
+
+    $dirpos += 2;
+}
+
+if ($dirpos > $#ARGV) {
+    &usage;
+
+    die;
+}
+
+use Cwd;
+my $currdir = getcwd;
+
+my $allfiles = 0;
+
+my $filecount = 0;
+
+my @tabvalues;
+
+# Init tabvalues
+push (@tabvalues, " ");
+
+for (my $i = 1; $i < 8; $i++) {
+    push(@tabvalues, $tabvalues[$i - 1] . " ");
+}
+
+open(FILELIST, ">$currdir/filelist") or die "Failed while open $currdir/filelist: $!\n";
+
+while ($dirpos <= $#ARGV) {
+    use File::Find;
+
+    find(\&parse_file, abs_path($ARGV[$dirpos]));
+
+    $dirpos += 1;
+}
+
+close(FILELIST);
+
+use Cwd 'chdir';
+chdir $currdir;
+
+print "Checked $allfiles file(s)\n";
+print "Modified $filecount file(s)\n";
+print "See results in the file $currdir/filelist\n";
+
+sub parse_file {
+    my $filename = $File::Find::name;
+
+    # Skip directories
+    return if -d;
+    
+    # Skip SCCS files
+    return if ($filename =~ /\/SCCS\//);
+
+    # Skip files with invalid extensions
+    my $accepted = 0;
+    foreach my $ext (@extensions) {
+        if ($_ =~ /\.$ext$/i) {
+            $accepted = 1;
+
+            last;
+        }
+    }
+    return if ($accepted == 0);
+
+    use File::Basename;
+    my $dirname = dirname($filename);
+
+    use Cwd 'chdir';
+    chdir $dirname;
+
+    open(FILE, $filename) or die "Failed while open $filename: $!\n";
+    
+    # Read file
+    my @content;
+    my $line;
+    my $emptylinescount = 0;
+    my $modified = 0;
+    
+    while ($line = <FILE>) {
+        my $originalline = $line;
+
+        # Process line
+        
+        # Remove from the end of the line spaces and return character
+        while ($line =~ /\s$/) {
+            chop($line);
+        }
+
+        # Replace TABs
+        for (my $i = 0; $i < length($line); $i++) {
+            if (substr($line, $i, 1) =~ /\t/) {
+                $line = substr($line, 0, $i) . $tabvalues[7 - ($i % 8)] . substr($line, $i + 1);
+            }
+        }
+        
+        if (length($line) == 0) {
+            $emptylinescount++;
+        } else {
+            while ($emptylinescount > 0) {
+                push(@content, "");
+                
+                $emptylinescount--;
+            }
+            
+            push(@content, $line);
+        }
+
+        if ($originalline ne ($line . "\n")) {
+            $modified = 1;
+        }
+
+    }
+    
+    $allfiles++;
+    
+    if ($emptylinescount > 0) {
+        $modified = 1;
+    }
+
+    close(FILE);
+    
+    if ($modified != 0) {
+        # Write file
+        open(FILE, ">$filename") or die "Failed while open $filename: $!\n";
+    
+        for (my $i = 0; $i <= $#content; $i++) {
+            print FILE "$content[$i]\n";
+        }
+    
+        close(FILE);
+
+        # Print name from current dir
+        if (index($filename, $currdir) == 0) {
+           print FILELIST substr($filename, length($currdir) + 1);
+        } else {
+           print FILELIST $filename;
+        }
+        print FILELIST "\n";
+
+        $filecount++;
+
+        print "$filename: modified\n";
+    }
+}
+
+sub usage {
+    print "Usage:\n";
+    print "  normalizer.pl [-options] <dir> [dir2 dir3 ...]\n";
+    print "  Available options:\n";
+    print "    -e    comma separated files extensions. By default accepts only java files\n";
+    print "\n";
+    print "Examples:\n";
+    print "  normalizer.pl -e c,cpp,h,hpp .\n";
+}
+
+
--- a/test/Makefile	Fri Feb 01 10:25:14 2013 -0800
+++ b/test/Makefile	Sun Feb 03 22:33:29 2013 +0100
@@ -1,5 +1,5 @@
 #
-# Copyright (c) 2010, 2011, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2010, 2012, Oracle and/or its affiliates. All rights reserved.
 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 #
 # This code is free software; you can redistribute it and/or modify it
@@ -57,15 +57,17 @@
 	jdk_beans1 jdk_beans2 jdk_beans3  \
 	jdk_io  \
 	jdk_lang  \
-	jdk_management1 jdk_management2  \
+	jdk_management \
+	jdk_jmx \
 	jdk_math  \
-	jdk_misc  \
+	jdk_other  \
 	jdk_net  \
-	jdk_nio1 jdk_nio2 jdk_nio3  \
+	jdk_nio \
 	jdk_security1 jdk_security2 jdk_security3  \
 	jdk_sound  \
 	jdk_text  \
-	jdk_tools1 jdk_tools2  \
+	jdk_tools \
+	jdk_jdi \
 	jdk_jfr \
 	jdk_util